#6. Реализовать два небольших скрипта:
#а) итератор, генерирующий целые числа, начиная с указанного,
#б) итератор, повторяющий элементы некоторого списка, определенного заранее.
#Подсказка: использовать функцию count() и cycle() модуля itertools. Обратите внимание, что создаваемый цикл не должен быть бесконечным.
# Необходимо предусмотреть условие его завершения.
#Например, в первом задании выводим целые числа, начиная с 3, а при достижении числа 10 завершаем цикл.
# Во втором также необходимо предусмотреть условие, при котором повторение элементов списка будет прекращено.
from itertools import count
from itertools import cycle

#цикл до 10
def count_func(a:int):
    list = []
    for el in count(a):
        if el > 10:
            break
        else:
            list.append(el)
    return list

result_list = count_func(a = int(input('Введите с какого числа начнем:')))

print(f'Первый скрипт:{result_list}')
